libzypp 17.37.10

zypp::CpeId::EAttributeDef Struct Reference

WFN attributes (use like 'enum class Attribute') More...

`#include <zypp/CpeId.h>`

## Public Types
enum | Enum { part , vendor , product , version , update , edition , language , sw_edition , target_sw , target_hw , other }

## Static Public Member Functions
static const std::string & | asString (Enum val_r)
| string representantion

## Static Public Attributes
static constexpr unsigned | numAttributes = other+1
| number of attributes

## Detailed Description

WFN attributes (use like 'enum class Attribute')

Definition at line 40 of file CpeId.h.

## Member Enumeration Documentation

## ◆ Enum

enum zypp::CpeId::EAttributeDef::Enum

Enumerator
part |
vendor |
product |
version |
update |
edition |
language |
sw_edition |
target_sw |
target_hw |
other |

Definition at line 41 of file CpeId.h.

## Member Function Documentation

## ◆ asString()

const std::string & zypp::CpeId::EAttributeDef::asString | ( | Enum | val_r | ) |
| static

string representantion

Definition at line 419 of file CpeId.cc.

## Member Data Documentation

## ◆ numAttributes

unsigned zypp::CpeId::EAttributeDef::numAttributes = other+1
| static constexpr

number of attributes

Definition at line 54 of file CpeId.h.

The documentation for this struct was generated from the following files:

- zypp/CpeId.h
- zypp/CpeId.cc